/[LeafOK_CVS]/lbbs/utils/Makefile.in
ViewVC logotype

Diff of /lbbs/utils/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.2 by sysadm, Fri Apr 8 11:11:11 2005 UTC Revision 1.4 by sysadm, Mon Apr 28 03:54:12 2025 UTC
# Line 1  Line 1 
1  # Makefile.in generated by automake 1.9.2 from Makefile.am.  # Makefile.in generated by automake 1.16.2 from Makefile.am.
2  # @configure_input@  # @configure_input@
3    
4  # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,  # Copyright (C) 1994-2020 Free Software Foundation, Inc.
5  # 2003, 2004  Free Software Foundation, Inc.  
6  # This Makefile.in is free software; the Free Software Foundation  # This Makefile.in is free software; the Free Software Foundation
7  # gives unlimited permission to copy and/or distribute it,  # gives unlimited permission to copy and/or distribute it,
8  # with or without modifications, as long as this notice is preserved.  # with or without modifications, as long as this notice is preserved.
# Line 13  Line 13 
13  # PARTICULAR PURPOSE.  # PARTICULAR PURPOSE.
14    
15  @SET_MAKE@  @SET_MAKE@
 srcdir = @srcdir@  
 top_srcdir = @top_srcdir@  
16  VPATH = @srcdir@  VPATH = @srcdir@
17    am__is_gnu_make = { \
18      if test -z '$(MAKELEVEL)'; then \
19        false; \
20      elif test -n '$(MAKE_HOST)'; then \
21        true; \
22      elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23        true; \
24      else \
25        false; \
26      fi; \
27    }
28    am__make_running_with_option = \
29      case $${target_option-} in \
30          ?) ;; \
31          *) echo "am__make_running_with_option: internal error: invalid" \
32                  "target option '$${target_option-}' specified" >&2; \
33             exit 1;; \
34      esac; \
35      has_opt=no; \
36      sane_makeflags=$$MAKEFLAGS; \
37      if $(am__is_gnu_make); then \
38        sane_makeflags=$$MFLAGS; \
39      else \
40        case $$MAKEFLAGS in \
41          *\\[\ \   ]*) \
42            bs=\\; \
43            sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44              | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45        esac; \
46      fi; \
47      skip_next=no; \
48      strip_trailopt () \
49      { \
50        flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51      }; \
52      for flg in $$sane_makeflags; do \
53        test $$skip_next = yes && { skip_next=no; continue; }; \
54        case $$flg in \
55          *=*|--*) continue;; \
56            -*I) strip_trailopt 'I'; skip_next=yes;; \
57          -*I?*) strip_trailopt 'I';; \
58            -*O) strip_trailopt 'O'; skip_next=yes;; \
59          -*O?*) strip_trailopt 'O';; \
60            -*l) strip_trailopt 'l'; skip_next=yes;; \
61          -*l?*) strip_trailopt 'l';; \
62          -[dEDm]) skip_next=yes;; \
63          -[JT]) skip_next=yes;; \
64        esac; \
65        case $$flg in \
66          *$$target_option*) has_opt=yes; break;; \
67        esac; \
68      done; \
69      test $$has_opt = yes
70    am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71    am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72  pkgdatadir = $(datadir)/@PACKAGE@  pkgdatadir = $(datadir)/@PACKAGE@
 pkglibdir = $(libdir)/@PACKAGE@  
73  pkgincludedir = $(includedir)/@PACKAGE@  pkgincludedir = $(includedir)/@PACKAGE@
74  top_builddir = ..  pkglibdir = $(libdir)/@PACKAGE@
75    pkglibexecdir = $(libexecdir)/@PACKAGE@
76  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 INSTALL = @INSTALL@  
77  install_sh_DATA = $(install_sh) -c -m 644  install_sh_DATA = $(install_sh) -c -m 644
78  install_sh_PROGRAM = $(install_sh) -c  install_sh_PROGRAM = $(install_sh) -c
79  install_sh_SCRIPT = $(install_sh) -c  install_sh_SCRIPT = $(install_sh) -c
# Line 36  POST_UNINSTALL = : Line 88  POST_UNINSTALL = :
88  build_triplet = @build@  build_triplet = @build@
89  host_triplet = @host@  host_triplet = @host@
90  subdir = utils  subdir = utils
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in  
91  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92  am__aclocal_m4_deps = $(top_srcdir)/configure.in  am__aclocal_m4_deps = $(top_srcdir)/configure.ac
93  am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \  am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
94          $(ACLOCAL_M4)          $(ACLOCAL_M4)
95    DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
96  mkinstalldirs = $(install_sh) -d  mkinstalldirs = $(install_sh) -d
97  CONFIG_CLEAN_FILES =  CONFIG_CLEAN_FILES =
98    CONFIG_CLEAN_VPATH_FILES =
99    AM_V_P = $(am__v_P_@AM_V@)
100    am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
101    am__v_P_0 = false
102    am__v_P_1 = :
103    AM_V_GEN = $(am__v_GEN_@AM_V@)
104    am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
105    am__v_GEN_0 = @echo "  GEN     " $@;
106    am__v_GEN_1 =
107    AM_V_at = $(am__v_at_@AM_V@)
108    am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
109    am__v_at_0 = @
110    am__v_at_1 =
111  SOURCES =  SOURCES =
112  DIST_SOURCES =  DIST_SOURCES =
113  RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \  RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
114          html-recursive info-recursive install-data-recursive \          ctags-recursive dvi-recursive html-recursive info-recursive \
115          install-exec-recursive install-info-recursive \          install-data-recursive install-dvi-recursive \
116          install-recursive installcheck-recursive installdirs-recursive \          install-exec-recursive install-html-recursive \
117          pdf-recursive ps-recursive uninstall-info-recursive \          install-info-recursive install-pdf-recursive \
118          uninstall-recursive          install-ps-recursive install-recursive installcheck-recursive \
119            installdirs-recursive pdf-recursive ps-recursive \
120            tags-recursive uninstall-recursive
121    am__can_run_installinfo = \
122      case $$AM_UPDATE_INFO_DIR in \
123        n|no|NO) false;; \
124        *) (install-info --version) >/dev/null 2>&1;; \
125      esac
126    RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
127      distclean-recursive maintainer-clean-recursive
128    am__recursive_targets = \
129      $(RECURSIVE_TARGETS) \
130      $(RECURSIVE_CLEAN_TARGETS) \
131      $(am__extra_recursive_targets)
132    AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
133            distdir distdir-am
134    am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
135    # Read a list of newline-separated strings from the standard input,
136    # and print each of them once, without duplicates.  Input order is
137    # *not* preserved.
138    am__uniquify_input = $(AWK) '\
139      BEGIN { nonempty = 0; } \
140      { items[$$0] = 1; nonempty = 1; } \
141      END { if (nonempty) { for (i in items) print i; }; } \
142    '
143    # Make sure the list of sources is unique.  This is necessary because,
144    # e.g., the same source file might be shared among _SOURCES variables
145    # for different programs/libraries.
146    am__define_uniq_tagged_files = \
147      list='$(am__tagged_files)'; \
148      unique=`for i in $$list; do \
149        if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
150      done | $(am__uniquify_input)`
151  ETAGS = etags  ETAGS = etags
152  CTAGS = ctags  CTAGS = ctags
153  DIST_SUBDIRS = $(SUBDIRS)  DIST_SUBDIRS = $(SUBDIRS)
154    am__DIST_COMMON = $(srcdir)/Makefile.in
155  DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)  DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
156    am__relativize = \
157      dir0=`pwd`; \
158      sed_first='s,^\([^/]*\)/.*$$,\1,'; \
159      sed_rest='s,^[^/]*/*,,'; \
160      sed_last='s,^.*/\([^/]*\)$$,\1,'; \
161      sed_butlast='s,/*[^/]*$$,,'; \
162      while test -n "$$dir1"; do \
163        first=`echo "$$dir1" | sed -e "$$sed_first"`; \
164        if test "$$first" != "."; then \
165          if test "$$first" = ".."; then \
166            dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
167            dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
168          else \
169            first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
170            if test "$$first2" = "$$first"; then \
171              dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
172            else \
173              dir2="../$$dir2"; \
174            fi; \
175            dir0="$$dir0"/"$$first"; \
176          fi; \
177        fi; \
178        dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
179      done; \
180      reldir="$$dir2"
181  ACLOCAL = @ACLOCAL@  ACLOCAL = @ACLOCAL@
 AMDEP_FALSE = @AMDEP_FALSE@  
 AMDEP_TRUE = @AMDEP_TRUE@  
182  AMTAR = @AMTAR@  AMTAR = @AMTAR@
183    AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
184  AR = @AR@  AR = @AR@
185  AUTOCONF = @AUTOCONF@  AUTOCONF = @AUTOCONF@
186  AUTOHEADER = @AUTOHEADER@  AUTOHEADER = @AUTOHEADER@
# Line 76  CXXFLAGS = @CXXFLAGS@ Line 198  CXXFLAGS = @CXXFLAGS@
198  CYGPATH_W = @CYGPATH_W@  CYGPATH_W = @CYGPATH_W@
199  DEFS = @DEFS@  DEFS = @DEFS@
200  DEPDIR = @DEPDIR@  DEPDIR = @DEPDIR@
201  ECHO = @ECHO@  DLLTOOL = @DLLTOOL@
202    DSYMUTIL = @DSYMUTIL@
203    DUMPBIN = @DUMPBIN@
204  ECHO_C = @ECHO_C@  ECHO_C = @ECHO_C@
205  ECHO_N = @ECHO_N@  ECHO_N = @ECHO_N@
206  ECHO_T = @ECHO_T@  ECHO_T = @ECHO_T@
207  EGREP = @EGREP@  EGREP = @EGREP@
208  EXEEXT = @EXEEXT@  EXEEXT = @EXEEXT@
209  F77 = @F77@  FGREP = @FGREP@
210  FFLAGS = @FFLAGS@  GREP = @GREP@
211    INSTALL = @INSTALL@
212  INSTALL_DATA = @INSTALL_DATA@  INSTALL_DATA = @INSTALL_DATA@
213  INSTALL_PROGRAM = @INSTALL_PROGRAM@  INSTALL_PROGRAM = @INSTALL_PROGRAM@
214  INSTALL_SCRIPT = @INSTALL_SCRIPT@  INSTALL_SCRIPT = @INSTALL_SCRIPT@
215  INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@  INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
216    LD = @LD@
217  LDFLAGS = @LDFLAGS@  LDFLAGS = @LDFLAGS@
218  LIBOBJS = @LIBOBJS@  LIBOBJS = @LIBOBJS@
219  LIBS = @LIBS@  LIBS = @LIBS@
220  LIBTOOL = @LIBTOOL@  LIBTOOL = @LIBTOOL@
221    LIPO = @LIPO@
222  LN_S = @LN_S@  LN_S = @LN_S@
223  LTLIBOBJS = @LTLIBOBJS@  LTLIBOBJS = @LTLIBOBJS@
224    LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
225  MAKEINFO = @MAKEINFO@  MAKEINFO = @MAKEINFO@
226    MANIFEST_TOOL = @MANIFEST_TOOL@
227    MKDIR_P = @MKDIR_P@
228    NM = @NM@
229    NMEDIT = @NMEDIT@
230    OBJDUMP = @OBJDUMP@
231  OBJEXT = @OBJEXT@  OBJEXT = @OBJEXT@
232    OTOOL = @OTOOL@
233    OTOOL64 = @OTOOL64@
234  PACKAGE = @PACKAGE@  PACKAGE = @PACKAGE@
235  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
236  PACKAGE_NAME = @PACKAGE_NAME@  PACKAGE_NAME = @PACKAGE_NAME@
237  PACKAGE_STRING = @PACKAGE_STRING@  PACKAGE_STRING = @PACKAGE_STRING@
238  PACKAGE_TARNAME = @PACKAGE_TARNAME@  PACKAGE_TARNAME = @PACKAGE_TARNAME@
239    PACKAGE_URL = @PACKAGE_URL@
240  PACKAGE_VERSION = @PACKAGE_VERSION@  PACKAGE_VERSION = @PACKAGE_VERSION@
241  PATH_SEPARATOR = @PATH_SEPARATOR@  PATH_SEPARATOR = @PATH_SEPARATOR@
242  RANLIB = @RANLIB@  RANLIB = @RANLIB@
243    SED = @SED@
244  SET_MAKE = @SET_MAKE@  SET_MAKE = @SET_MAKE@
245  SHELL = @SHELL@  SHELL = @SHELL@
246  STRIP = @STRIP@  STRIP = @STRIP@
247  VERSION = @VERSION@  VERSION = @VERSION@
248    abs_builddir = @abs_builddir@
249    abs_srcdir = @abs_srcdir@
250    abs_top_builddir = @abs_top_builddir@
251    abs_top_srcdir = @abs_top_srcdir@
252  ac_ct_AR = @ac_ct_AR@  ac_ct_AR = @ac_ct_AR@
253  ac_ct_CC = @ac_ct_CC@  ac_ct_CC = @ac_ct_CC@
254  ac_ct_CXX = @ac_ct_CXX@  ac_ct_CXX = @ac_ct_CXX@
255  ac_ct_F77 = @ac_ct_F77@  ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
 ac_ct_RANLIB = @ac_ct_RANLIB@  
 ac_ct_STRIP = @ac_ct_STRIP@  
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@  
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@  
 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@  
 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@  
256  am__include = @am__include@  am__include = @am__include@
257  am__leading_dot = @am__leading_dot@  am__leading_dot = @am__leading_dot@
258  am__quote = @am__quote@  am__quote = @am__quote@
# Line 129  build_alias = @build_alias@ Line 264  build_alias = @build_alias@
264  build_cpu = @build_cpu@  build_cpu = @build_cpu@
265  build_os = @build_os@  build_os = @build_os@
266  build_vendor = @build_vendor@  build_vendor = @build_vendor@
267    builddir = @builddir@
268  datadir = @datadir@  datadir = @datadir@
269    datarootdir = @datarootdir@
270    docdir = @docdir@
271    dvidir = @dvidir@
272  exec_prefix = @exec_prefix@  exec_prefix = @exec_prefix@
273  host = @host@  host = @host@
274  host_alias = @host_alias@  host_alias = @host_alias@
275  host_cpu = @host_cpu@  host_cpu = @host_cpu@
276  host_os = @host_os@  host_os = @host_os@
277  host_vendor = @host_vendor@  host_vendor = @host_vendor@
278    htmldir = @htmldir@
279  includedir = @includedir@  includedir = @includedir@
280  infodir = @infodir@  infodir = @infodir@
281  install_sh = @install_sh@  install_sh = @install_sh@
282  libdir = @libdir@  libdir = @libdir@
283  libexecdir = @libexecdir@  libexecdir = @libexecdir@
284    localedir = @localedir@
285  localstatedir = @localstatedir@  localstatedir = @localstatedir@
286  mandir = @mandir@  mandir = @mandir@
287  mkdir_p = @mkdir_p@  mkdir_p = @mkdir_p@
288  oldincludedir = @oldincludedir@  oldincludedir = @oldincludedir@
289    pdfdir = @pdfdir@
290  prefix = @prefix@  prefix = @prefix@
291  program_transform_name = @program_transform_name@  program_transform_name = @program_transform_name@
292    psdir = @psdir@
293    runstatedir = @runstatedir@
294  sbindir = @sbindir@  sbindir = @sbindir@
295  sharedstatedir = @sharedstatedir@  sharedstatedir = @sharedstatedir@
296    srcdir = @srcdir@
297  sysconfdir = @sysconfdir@  sysconfdir = @sysconfdir@
298  target_alias = @target_alias@  target_alias = @target_alias@
299    top_build_prefix = @top_build_prefix@
300    top_builddir = @top_builddir@
301    top_srcdir = @top_srcdir@
302  EXTRA_DIST = makedist.sh  EXTRA_DIST = makedist.sh
303  SUBDIRS = game  SUBDIRS = game
304  CLEANFILES = @EXTRA_CLEAN@  CLEANFILES = @EXTRA_CLEAN@
# Line 161  $(srcdir)/Makefile.in:  $(srcdir)/Makefi Line 309  $(srcdir)/Makefile.in:  $(srcdir)/Makefi
309          @for dep in $?; do \          @for dep in $?; do \
310            case '$(am__configure_deps)' in \            case '$(am__configure_deps)' in \
311              *$$dep*) \              *$$dep*) \
312                cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \                ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
313                  && exit 0; \                  && { if test -f $@; then exit 0; else break; fi; }; \
314                exit 1;; \                exit 1;; \
315            esac; \            esac; \
316          done; \          done; \
317          echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  utils/Makefile'; \          echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu utils/Makefile'; \
318          cd $(top_srcdir) && \          $(am__cd) $(top_srcdir) && \
319            $(AUTOMAKE) --gnu  utils/Makefile            $(AUTOMAKE) --gnu utils/Makefile
 .PRECIOUS: Makefile  
320  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
321          @case '$?' in \          @case '$?' in \
322            *config.status*) \            *config.status*) \
323              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
324            *) \            *) \
325              echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \              echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
326              cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \              cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
327          esac;          esac;
328    
329  $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)  $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
# Line 186  $(top_srcdir)/configure:  $(am__configur Line 333  $(top_srcdir)/configure:  $(am__configur
333          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
334  $(ACLOCAL_M4):  $(am__aclocal_m4_deps)  $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
335          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
336    $(am__aclocal_m4_deps):
337    
338  mostlyclean-libtool:  mostlyclean-libtool:
339          -rm -f *.lo          -rm -f *.lo
# Line 193  mostlyclean-libtool: Line 341  mostlyclean-libtool:
341  clean-libtool:  clean-libtool:
342          -rm -rf .libs _libs          -rm -rf .libs _libs
343    
 distclean-libtool:  
         -rm -f libtool  
 uninstall-info-am:  
   
344  # This directory's subdirectories are mostly independent; you can cd  # This directory's subdirectories are mostly independent; you can cd
345  # into them and run `make' without going through this Makefile.  # into them and run 'make' without going through this Makefile.
346  # To change the values of `make' variables: instead of editing Makefiles,  # To change the values of 'make' variables: instead of editing Makefiles,
347  # (1) if the variable is set in `config.status', edit `config.status'  # (1) if the variable is set in 'config.status', edit 'config.status'
348  #     (which will cause the Makefiles to be regenerated when you run `make');  #     (which will cause the Makefiles to be regenerated when you run 'make');
349  # (2) otherwise, pass the desired values on the `make' command line.  # (2) otherwise, pass the desired values on the 'make' command line.
350  $(RECURSIVE_TARGETS):  $(am__recursive_targets):
351          @set fnord $$MAKEFLAGS; amf=$$2; \          @fail=; \
352            if $(am__make_keepgoing); then \
353              failcom='fail=yes'; \
354            else \
355              failcom='exit 1'; \
356            fi; \
357          dot_seen=no; \          dot_seen=no; \
358          target=`echo $@ | sed s/-recursive//`; \          target=`echo $@ | sed s/-recursive//`; \
359          list='$(SUBDIRS)'; for subdir in $$list; do \          case "$@" in \
360              distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
361              *) list='$(SUBDIRS)' ;; \
362            esac; \
363            for subdir in $$list; do \
364            echo "Making $$target in $$subdir"; \            echo "Making $$target in $$subdir"; \
365            if test "$$subdir" = "."; then \            if test "$$subdir" = "."; then \
366              dot_seen=yes; \              dot_seen=yes; \
# Line 215  $(RECURSIVE_TARGETS): Line 368  $(RECURSIVE_TARGETS):
368            else \            else \
369              local_target="$$target"; \              local_target="$$target"; \
370            fi; \            fi; \
371            (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \            ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
372             || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \            || eval $$failcom; \
373          done; \          done; \
374          if test "$$dot_seen" = "no"; then \          if test "$$dot_seen" = "no"; then \
375            $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \            $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
376          fi; test -z "$$fail"          fi; test -z "$$fail"
377    
378  mostlyclean-recursive clean-recursive distclean-recursive \  ID: $(am__tagged_files)
379  maintainer-clean-recursive:          $(am__define_uniq_tagged_files); mkid -fID $$unique
380          @set fnord $$MAKEFLAGS; amf=$$2; \  tags: tags-recursive
381          dot_seen=no; \  TAGS: tags
         case "$@" in \  
           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \  
           *) list='$(SUBDIRS)' ;; \  
         esac; \  
         rev=''; for subdir in $$list; do \  
           if test "$$subdir" = "."; then :; else \  
             rev="$$subdir $$rev"; \  
           fi; \  
         done; \  
         rev="$$rev ."; \  
         target=`echo $@ | sed s/-recursive//`; \  
         for subdir in $$rev; do \  
           echo "Making $$target in $$subdir"; \  
           if test "$$subdir" = "."; then \  
             local_target="$$target-am"; \  
           else \  
             local_target="$$target"; \  
           fi; \  
           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \  
            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \  
         done && test -z "$$fail"  
 tags-recursive:  
         list='$(SUBDIRS)'; for subdir in $$list; do \  
           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \  
         done  
 ctags-recursive:  
         list='$(SUBDIRS)'; for subdir in $$list; do \  
           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \  
         done  
382    
383  ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)  tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
384          list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \          set x; \
         unique=`for i in $$list; do \  
             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \  
           done | \  
           $(AWK) '    { files[$$0] = 1; } \  
                END { for (i in files) print i; }'`; \  
         mkid -fID $$unique  
 tags: TAGS  
   
 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \  
                 $(TAGS_FILES) $(LISP)  
         tags=; \  
385          here=`pwd`; \          here=`pwd`; \
386          if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \          if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
387            include_option=--etags-include; \            include_option=--etags-include; \
# Line 280  TAGS: tags-recursive $(HEADERS) $(SOURCE Line 393  TAGS: tags-recursive $(HEADERS) $(SOURCE
393          list='$(SUBDIRS)'; for subdir in $$list; do \          list='$(SUBDIRS)'; for subdir in $$list; do \
394            if test "$$subdir" = .; then :; else \            if test "$$subdir" = .; then :; else \
395              test ! -f $$subdir/TAGS || \              test ! -f $$subdir/TAGS || \
396                tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \                set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
397            fi; \            fi; \
398          done; \          done; \
399          list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \          $(am__define_uniq_tagged_files); \
400          unique=`for i in $$list; do \          shift; \
401              if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \          if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
           done | \  
           $(AWK) '    { files[$$0] = 1; } \  
                END { for (i in files) print i; }'`; \  
         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \  
402            test -n "$$unique" || unique=$$empty_fix; \            test -n "$$unique" || unique=$$empty_fix; \
403            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \            if test $$# -gt 0; then \
404              $$tags $$unique; \              $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
405                  "$$@" $$unique; \
406              else \
407                $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
408                  $$unique; \
409              fi; \
410          fi          fi
411  ctags: CTAGS  ctags: ctags-recursive
412  CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \  
413                  $(TAGS_FILES) $(LISP)  CTAGS: ctags
414          tags=; \  ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
415          here=`pwd`; \          $(am__define_uniq_tagged_files); \
416          list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \          test -z "$(CTAGS_ARGS)$$unique" \
         unique=`for i in $$list; do \  
             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \  
           done | \  
           $(AWK) '    { files[$$0] = 1; } \  
                END { for (i in files) print i; }'`; \  
         test -z "$(CTAGS_ARGS)$$tags$$unique" \  
417            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
418               $$tags $$unique               $$unique
419    
420  GTAGS:  GTAGS:
421          here=`$(am__cd) $(top_builddir) && pwd` \          here=`$(am__cd) $(top_builddir) && pwd` \
422            && cd $(top_srcdir) \            && $(am__cd) $(top_srcdir) \
423            && gtags -i $(GTAGS_ARGS) $$here            && gtags -i $(GTAGS_ARGS) "$$here"
424    cscopelist: cscopelist-recursive
425    
426    cscopelist-am: $(am__tagged_files)
427            list='$(am__tagged_files)'; \
428            case "$(srcdir)" in \
429              [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
430              *) sdir=$(subdir)/$(srcdir) ;; \
431            esac; \
432            for i in $$list; do \
433              if test -f "$$i"; then \
434                echo "$(subdir)/$$i"; \
435              else \
436                echo "$$sdir/$$i"; \
437              fi; \
438            done >> $(top_builddir)/cscope.files
439    
440  distclean-tags:  distclean-tags:
441          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
442    
443  distdir: $(DISTFILES)  distdir: $(BUILT_SOURCES)
444          @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \          $(MAKE) $(AM_MAKEFLAGS) distdir-am
445          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \  
446          list='$(DISTFILES)'; for file in $$list; do \  distdir-am: $(DISTFILES)
447            case $$file in \          @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
448              $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
449              $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \          list='$(DISTFILES)'; \
450            esac; \            dist_files=`for file in $$list; do echo $$file; done | \
451              sed -e "s|^$$srcdirstrip/||;t" \
452                  -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
453            case $$dist_files in \
454              */*) $(MKDIR_P) `echo "$$dist_files" | \
455                               sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
456                               sort -u` ;; \
457            esac; \
458            for file in $$dist_files; do \
459            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \  
           if test "$$dir" != "$$file" && test "$$dir" != "."; then \  
             dir="/$$dir"; \  
             $(mkdir_p) "$(distdir)$$dir"; \  
           else \  
             dir=''; \  
           fi; \  
460            if test -d $$d/$$file; then \            if test -d $$d/$$file; then \
461                dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
462                if test -d "$(distdir)/$$file"; then \
463                  find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
464                fi; \
465              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
466                cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \                cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
467                  find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
468              fi; \              fi; \
469              cp -pR $$d/$$file $(distdir)$$dir || exit 1; \              cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
470            else \            else \
471              test -f $(distdir)/$$file \              test -f "$(distdir)/$$file" \
472              || cp -p $$d/$$file $(distdir)/$$file \              || cp -p $$d/$$file "$(distdir)/$$file" \
473              || exit 1; \              || exit 1; \
474            fi; \            fi; \
475          done          done
476          list='$(DIST_SUBDIRS)'; for subdir in $$list; do \          @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
477            if test "$$subdir" = .; then :; else \            if test "$$subdir" = .; then :; else \
478              test -d "$(distdir)/$$subdir" \              $(am__make_dryrun) \
479              || $(mkdir_p) "$(distdir)/$$subdir" \                || test -d "$(distdir)/$$subdir" \
480              || exit 1; \                || $(MKDIR_P) "$(distdir)/$$subdir" \
481              distdir=`$(am__cd) $(distdir) && pwd`; \                || exit 1; \
482              top_distdir=`$(am__cd) $(top_distdir) && pwd`; \              dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
483              (cd $$subdir && \              $(am__relativize); \
484                new_distdir=$$reldir; \
485                dir1=$$subdir; dir2="$(top_distdir)"; \
486                $(am__relativize); \
487                new_top_distdir=$$reldir; \
488                echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
489                echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
490                ($(am__cd) $$subdir && \
491                $(MAKE) $(AM_MAKEFLAGS) \                $(MAKE) $(AM_MAKEFLAGS) \
492                  top_distdir="$$top_distdir" \                  top_distdir="$$new_top_distdir" \
493                  distdir="$$distdir/$$subdir" \                  distdir="$$new_distdir" \
494                    am__remove_distdir=: \
495                    am__skip_length_check=: \
496                    am__skip_mode_fix=: \
497                  distdir) \                  distdir) \
498                || exit 1; \                || exit 1; \
499            fi; \            fi; \
# Line 374  install-am: all-am Line 513  install-am: all-am
513    
514  installcheck: installcheck-recursive  installcheck: installcheck-recursive
515  install-strip:  install-strip:
516          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \          if test -z '$(STRIP)'; then \
517            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \            $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
518            `test -z '$(STRIP)' || \              install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
519              echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install                install; \
520            else \
521              $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
522                install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
523                "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
524            fi
525  mostlyclean-generic:  mostlyclean-generic:
526    
527  clean-generic:  clean-generic:
# Line 385  clean-generic: Line 529  clean-generic:
529    
530  distclean-generic:  distclean-generic:
531          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
532            -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
533    
534  maintainer-clean-generic:  maintainer-clean-generic:
535          @echo "This command is intended for maintainers to use"          @echo "This command is intended for maintainers to use"
# Line 395  clean-am: clean-generic clean-libtool mo Line 540  clean-am: clean-generic clean-libtool mo
540    
541  distclean: distclean-recursive  distclean: distclean-recursive
542          -rm -f Makefile          -rm -f Makefile
543  distclean-am: clean-am distclean-generic distclean-libtool \  distclean-am: clean-am distclean-generic distclean-tags
         distclean-tags  
544    
545  dvi: dvi-recursive  dvi: dvi-recursive
546    
# Line 404  dvi-am: Line 548  dvi-am:
548    
549  html: html-recursive  html: html-recursive
550    
551    html-am:
552    
553  info: info-recursive  info: info-recursive
554    
555  info-am:  info-am:
556    
557  install-data-am: install-data-local  install-data-am: install-data-local
558    
559    install-dvi: install-dvi-recursive
560    
561    install-dvi-am:
562    
563  install-exec-am:  install-exec-am:
564    
565    install-html: install-html-recursive
566    
567    install-html-am:
568    
569  install-info: install-info-recursive  install-info: install-info-recursive
570    
571    install-info-am:
572    
573  install-man:  install-man:
574    
575    install-pdf: install-pdf-recursive
576    
577    install-pdf-am:
578    
579    install-ps: install-ps-recursive
580    
581    install-ps-am:
582    
583  installcheck-am:  installcheck-am:
584    
585  maintainer-clean: maintainer-clean-recursive  maintainer-clean: maintainer-clean-recursive
# Line 434  ps: ps-recursive Line 598  ps: ps-recursive
598    
599  ps-am:  ps-am:
600    
601  uninstall-am: uninstall-info-am  uninstall-am:
602    
603    .MAKE: $(am__recursive_targets) install-am install-strip
604    
605  uninstall-info: uninstall-info-recursive  .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
606            check-am clean clean-generic clean-libtool cscopelist-am ctags \
607            ctags-am distclean distclean-generic distclean-libtool \
608            distclean-tags distdir dvi dvi-am html html-am info info-am \
609            install install-am install-data install-data-am \
610            install-data-local install-dvi install-dvi-am install-exec \
611            install-exec-am install-html install-html-am install-info \
612            install-info-am install-man install-pdf install-pdf-am \
613            install-ps install-ps-am install-strip installcheck \
614            installcheck-am installdirs installdirs-am maintainer-clean \
615            maintainer-clean-generic mostlyclean mostlyclean-generic \
616            mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
617            uninstall-am
618    
619  .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \  .PRECIOUS: Makefile
         clean clean-generic clean-libtool clean-recursive ctags \  
         ctags-recursive distclean distclean-generic distclean-libtool \  
         distclean-recursive distclean-tags distdir dvi dvi-am html \  
         html-am info info-am install install-am install-data \  
         install-data-am install-data-local install-exec \  
         install-exec-am install-info install-info-am install-man \  
         install-strip installcheck installcheck-am installdirs \  
         installdirs-am maintainer-clean maintainer-clean-generic \  
         maintainer-clean-recursive mostlyclean mostlyclean-generic \  
         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \  
         tags tags-recursive uninstall uninstall-am uninstall-info-am  
620    
621    
622  install-data-local:  install-data-local:
623          sh makedist.sh $(prefix)/$(subdir)          sh makedist.sh $(prefix)/$(subdir)
624    
625  # Tell versions [3.59,3.63) of GNU make to not export all variables.  # Tell versions [3.59,3.63) of GNU make to not export all variables.
626  # Otherwise a system limit (for SysV at least) may be exceeded.  # Otherwise a system limit (for SysV at least) may be exceeded.
627  .NOEXPORT:  .NOEXPORT:


Legend:
Removed lines/characters  
Changed lines/characters
  Added lines/characters

webmaster@leafok.com
ViewVC Help
Powered by ViewVC 1.3.0-beta1